opj_jp2_color Struct Reference

Collector for ICC profile, palette, component mapping, channel description. More...

`#include <jp2.h>`

## Data Fields

OPJ_BYTE * | icc_profile_buf
OPJ_UINT32 | icc_profile_len
opj_jp2_cdef_t * | jp2_cdef
opj_jp2_pclr_t * | jp2_pclr
OPJ_BYTE | jp2_has_colr

## Detailed Description

Collector for ICC profile, palette, component mapping, channel description.

## Field Documentation

## icc_profile_buf

OPJ_BYTE* opj_jp2_color::icc_profile_buf

Referenced by opj_jp2_create(), opj_jp2_destroy(), opj_jp2_read_colr(), opj_jp2_read_header(), and opj_jp2_write_colr().

## icc_profile_len

OPJ_UINT32 opj_jp2_color::icc_profile_len

Referenced by opj_jp2_create(), opj_jp2_read_colr(), opj_jp2_read_header(), and opj_jp2_write_colr().

## jp2_cdef

opj_jp2_cdef_t* opj_jp2_color::jp2_cdef

Referenced by opj_jp2_apply_cdef(), opj_jp2_apply_color_postprocessing(), opj_jp2_check_color(), opj_jp2_create(), opj_jp2_destroy(), opj_jp2_read_cdef(), opj_jp2_setup_encoder(), opj_jp2_write_cdef(), and opj_jp2_write_jp2h().

## jp2_has_colr

OPJ_BYTE opj_jp2_color::jp2_has_colr

Referenced by opj_jp2_create(), opj_jp2_read_colr(), and opj_jp2_setup_decoder().

## jp2_pclr

opj_jp2_pclr_t* opj_jp2_color::jp2_pclr

Referenced by opj_jp2_apply_color_postprocessing(), opj_jp2_apply_pclr(), opj_jp2_check_color(), opj_jp2_create(), opj_jp2_destroy(), opj_jp2_free_pclr(), opj_jp2_read_cmap(), and opj_jp2_read_pclr().

The documentation for this struct was generated from the following file:

- jp2.h